CorelPainterParserInternal::ZoneHeader Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
CorelPainterParserInternal::ZoneHeader Struct Reference

Internal: a zone header of a CorelPainterParser. More...

## Public Member Functions
| ZoneHeader ()
| constructor More...
bool | isBitmap () const
| check if it is a picture header More...

## Public Attributes
bool | m_isMainZone
| a flag to know if this is the main picture More...
MWAWVec2i | m_dimension
| the bitmap dimension More...
MWAWVec2i | m_origin
| the bitmap origin More...
int | m_pixelByInch
| number of pixel by inch More...
int | m_numTreeNodes
| the number of Huffman node More...
std::shared_ptr< Node > | m_tree
| the Huffman tree More...
long | m_bitmapPos
| the bitmap position More...
long | m_rsrcDataPos
| the resource data position More...
long | m_nextPos
| the next zone position More...
int | m_flags [2]
| the main zone flags More...
std::map< std::string, MWAWEntry > | m_rsrcMap
| the different rsrc zone (v7) More...

## Detailed Description

Internal: a zone header of a CorelPainterParser.

## Constructor & Destructor Documentation

## ◆ ZoneHeader()

CorelPainterParserInternal::ZoneHeader::ZoneHeader | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ isBitmap()

bool CorelPainterParserInternal::ZoneHeader::isBitmap | ( |  | ) | const
| inline

check if it is a picture header

Referenced by CorelPainterParser::checkHeader(), CorelPainterParser::sendBitmap(), and CorelPainterParser::sendZone().

## Member Data Documentation

## ◆ m_bitmapPos

long CorelPainterParserInternal::ZoneHeader::m_bitmapPos

the bitmap position

Referenced by isBitmap(), CorelPainterParser::readZoneHeader(), CorelPainterParser::sendBitmap(), and CorelPainterParser::sendZone().

## ◆ m_dimension

MWAWVec2i CorelPainterParserInternal::ZoneHeader::m_dimension

the bitmap dimension

Referenced by CorelPainterParser::getZonePosition(), isBitmap(), CorelPainterParser::readBitmap(), CorelPainterParser::readBitmapRow(), and CorelPainterParser::readZoneHeader().

## ◆ m_flags

int CorelPainterParserInternal::ZoneHeader::m_flags[2]

the main zone flags

Referenced by CorelPainterParser::checkHeader(), isBitmap(), CorelPainterParser::readZoneHeader(), and ZoneHeader().

## ◆ m_isMainZone

bool CorelPainterParserInternal::ZoneHeader::m_isMainZone

a flag to know if this is the main picture

Referenced by CorelPainterParser::readBitmap(), and CorelPainterParser::readZoneHeader().

## ◆ m_nextPos

long CorelPainterParserInternal::ZoneHeader::m_nextPos

the next zone position

Referenced by CorelPainterParser::createZones(), isBitmap(), CorelPainterParser::readBitmap(), CorelPainterParser::readResourcesList(), CorelPainterParser::readZoneHeader(), and CorelPainterParser::sendZone().

## ◆ m_numTreeNodes

int CorelPainterParserInternal::ZoneHeader::m_numTreeNodes

the number of Huffman node

Referenced by CorelPainterParser::checkHeader(), CorelPainterParser::readBitmap(), and CorelPainterParser::readZoneHeader().

## ◆ m_origin

MWAWVec2i CorelPainterParserInternal::ZoneHeader::m_origin

the bitmap origin

Referenced by CorelPainterParser::getZonePosition(), and CorelPainterParser::readZoneHeader().

## ◆ m_pixelByInch

int CorelPainterParserInternal::ZoneHeader::m_pixelByInch

number of pixel by inch

Referenced by CorelPainterParser::checkHeader(), CorelPainterParser::getZonePosition(), CorelPainterParser::readZoneHeader(), and CorelPainterParser::sendZone().

## ◆ m_rsrcDataPos

long CorelPainterParserInternal::ZoneHeader::m_rsrcDataPos

the resource data position

Referenced by CorelPainterParser::createZones(), isBitmap(), CorelPainterParser::readBitmap(), CorelPainterParser::readResourcesList(), CorelPainterParser::readZoneHeader(), CorelPainterParser::sendBitmap(), and CorelPainterParser::sendZone().

## ◆ m_rsrcMap

std::map<std::string, MWAWEntry> CorelPainterParserInternal::ZoneHeader::m_rsrcMap

the different rsrc zone (v7)

Referenced by CorelPainterParser::readResourcesList(), and CorelPainterParser::sendZone().

## ◆ m_tree

std::shared_ptr<Node> CorelPainterParserInternal::ZoneHeader::m_tree

the Huffman tree

Referenced by CorelPainterParser::decompressData(), and CorelPainterParser::readZoneHeader().

The documentation for this struct was generated from the following file:

- CorelPainterParser.cxx